summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Eugene M <damagedone@gmx.com>2015-05-06 23:28:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-06 23:28:55 +0700
commit4ae8d02258117552f423561788fe7360f29cc701 (patch)
treecaeea0c58c217f3ee7ae254bf47e9c6b73bee6fe /libraries
parent855bf1e78cd9b45386ab9325d491337aecbd0514 (diff)
downloadslackbuilds-4ae8d02258117552f423561788fe7360f29cc701.tar.gz
slackbuilds-4ae8d02258117552f423561788fe7360f29cc701.tar.xz
libraries/libva-intel-driver: Added (Intel G45/HD graphics backend).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libva-intel-driver/README8
-rw-r--r--libraries/libva-intel-driver/libva-intel-driver.SlackBuild105
-rw-r--r--libraries/libva-intel-driver/libva-intel-driver.info10
-rw-r--r--libraries/libva-intel-driver/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/libva-intel-driver/README b/libraries/libva-intel-driver/README
new file mode 100644
index 0000000000..ecc7a6927b
--- /dev/null
+++ b/libraries/libva-intel-driver/README
@@ -0,0 +1,8 @@
+The main motivation for VAAPI (Video Acceleration API) is to enable
+hardware accelerated video decode/encode at various entry-points
+(VLD, IDCT, Motion Compensation etc.) for the prevailing coding
+standards today (MPEG-2, MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and
+VC-1/VMW3). Extending XvMC was considered, but due to its original
+design for MPEG-2 MotionComp only, it made more sense to design an
+interface from scratch that can fully expose the video decode
+capabilities in today's GPUs.
diff --git a/libraries/libva-intel-driver/libva-intel-driver.SlackBuild b/libraries/libva-intel-driver/libva-intel-driver.SlackBuild
new file mode 100644
index 0000000000..649c6b51a4
--- /dev/null
+++ b/libraries/libva-intel-driver/libva-intel-driver.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for libva-intel-driver
+
+# Copyright 2015 Eugene M. <damagedone at gmx dot com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libva-intel-driver
+VERSION=${VERSION:-1.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-wayland \
+ --enable-drm \
+ --enable-X11 \
+ --disable-static \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libva-intel-driver/libva-intel-driver.info b/libraries/libva-intel-driver/libva-intel-driver.info
new file mode 100644
index 0000000000..66fdaf3885
--- /dev/null
+++ b/libraries/libva-intel-driver/libva-intel-driver.info
@@ -0,0 +1,10 @@
+PRGNAM="libva-intel-driver"
+VERSION="1.5.0"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/vaapi/"
+DOWNLOAD="http://www.freedesktop.org/software/vaapi/releases/libva-intel-driver/libva-intel-driver-1.5.0.tar.bz2"
+MD5SUM="16752f1584398265072129553b7907ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libva"
+MAINTAINER="Eugene M."
+EMAIL="damagedone@gmx.com"
diff --git a/libraries/libva-intel-driver/slack-desc b/libraries/libva-intel-driver/slack-desc
new file mode 100644
index 0000000000..387b2a6062
--- /dev/null
+++ b/libraries/libva-intel-driver/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libva-intel-driver: libva-intel-driver (Intel G45/HD graphics backend for VA-API)
+libva-intel-driver:
+libva-intel-driver: libva-intel-driver is VA-PI implementation for Intel G45
+libva-intel-driver: chipsets and Intel HD Graphics fr Intel Core processor family.
+libva-intel-driver:
+libva-intel-driver:
+libva-intel-driver: Homepage: http://www.freedesktop.org/wiki/Software/vaapi
+libva-intel-driver:
+libva-intel-driver:
+libva-intel-driver:
+libva-intel-driver: \ No newline at end of file